Contacts
List contacts
GET
/
contacts
List contacts
curl --request GET \
--url https://api.outreign.io/rest-api/contacts \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.outreign.io/rest-api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.outreign.io/rest-api/contacts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"job_title": "<string>",
"lead_status": "<string>",
"department": "<string>",
"seniority": "<string>",
"linkedin_url": "<string>",
"city": "<string>",
"country": "<string>",
"source": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"count": 123,
"limit": 123,
"offset": 123
}Authorizations
Create keys in OutReign → Settings → API Keys.
Query Parameters
Required range:
1 <= x <= 100Required range:
0 <= x <= 100000Was this page helpful?
⌘I
List contacts
curl --request GET \
--url https://api.outreign.io/rest-api/contacts \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.outreign.io/rest-api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.outreign.io/rest-api/contacts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"job_title": "<string>",
"lead_status": "<string>",
"department": "<string>",
"seniority": "<string>",
"linkedin_url": "<string>",
"city": "<string>",
"country": "<string>",
"source": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"count": 123,
"limit": 123,
"offset": 123
}